// Mike Maxim
// Absyn for while statements

package edu.cmu.cs.l3.absyn;

public class ASWhileStatement extends ASStatement {

    public ASWhileStatement(int p, ASExpression t, ASStatement b) {
	super(p); m_test=t; m_body=b;

	m_classname = "ASWhileStatement";
    }

    public ASExpression getTest() {
	return m_test;
    }

    public ASStatement getBody() {
	return m_body;
    }

    public void setTest(ASExpression test) {
        m_test = test;
    }

    private ASExpression m_test;
    private ASStatement m_body;

}
